Bug 25932 - firewall setup section: trusted nets widget inactive
firewall setup section: trusted nets widget inactive
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Florence Gold
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-03 19:28 EST by Douglas Kilpatrick
Modified: 2007-03-26 23:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-19 18:59:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Douglas Kilpatrick 2001-02-03 19:28:12 EST
Subject says most of it.  When setting up the firewall as part of the
install, the widget that allows you to trust networks was inactive.  That
might have been  because the installer didn't see either of my network
cards (see earlier bug about sndconf and BIOS settings), but I'd figure I'd
report it in case.

Firewall rules are valid w/o devices, so I'd like to be able to set them up
without the devices having to exist.
Comment 1 Douglas Kilpatrick 2001-02-06 16:36:01 EST
I've reinstalled Fisher again, and seem to have validated my hunch about the
installer not seeing the NIC's.  This install, the widget was perfectly active.

I'm pretty sure that makes this bug a feature-request: "Please let me trust
interfaces that don't exist yet for firewall rule purposes"
Comment 2 Brent Fox 2001-02-09 17:43:19 EST
I disagree.  I think it would be misleading for devices that don't exist to
appear in the device list.  Even though those firewall rules would be valid, I
don't think it makes sense.  However, I think it looks equally silly for an
empty list to appear.  I'm changing it so that if you don't have any network
devices, the trusted devices list will not appear.
Comment 3 Douglas Kilpatrick 2001-02-09 17:52:51 EST
Dial-up links and PPP-refering firewall rules?  Anyone?
Comment 4 Brent Fox 2001-02-09 19:36:13 EST
No, because I think making the dial up adapter a trusted device is not a good idea.

Brock, please verify that the trusted device widget does not appear if there are
no network devices in the system.

Note You need to log in before you can comment on or make changes to this bug.